Bug 1850615 - [4.4 upgrade][alert] AlertmanagerConfigInconsistent
Summary: [4.4 upgrade][alert] AlertmanagerConfigInconsistent
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Monitoring
Version: 4.4
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 4.4.z
Assignee: Simon Pasquier
QA Contact: Junqi Zhao
URL:
Whiteboard:
Depends On: 1850466
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-06-24 14:50 UTC by Simon Pasquier
Modified: 2020-07-21 10:31 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: the AlertmanagerConfigInconsistent alert could fire during an upgrade because some of the Alertmanager pods were temporarily not running due to a rolling update of the statefulset. The alert resolved itself once all Alertmanager pods had been updated. Consequence: the firing alert generated noise that was confusing for the cluster admins, especially because there wasn't any inconsistency in the configuration. Fix: the AlertmanagerConfigInconsistent alert has been fixed to not consider the number of running Alertmanager pods. Result: the AlertmanagerConfigInconsistent alert doesn't fire anymore during upgrades when some of the Alertmanager pods are in a not-running transient state.
Clone Of: 1850466
Environment:
Last Closed: 2020-07-21 10:31:06 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift cluster-monitoring-operator pull 824 None closed Bug 1850615: fix AlertmanagerConfigInconsistent alert 2020-08-10 20:54:11 UTC
Red Hat Product Errata RHBA-2020:2913 None None None 2020-07-21 10:31:41 UTC

Comment 5 Junqi Zhao 2020-07-10 11:07:32 UTC
upgrade from 4.4.0-0.nightly-2020-07-09-16440 to 4.4.0-0.nightly-2020-07-10-004502, there is not AlertmanagerConfigInconsistent alert during the upgrade progress and after the cluster is upgraded successfully

Comment 7 errata-xmlrpc 2020-07-21 10:31:06 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:2913


Note You need to log in before you can comment on or make changes to this bug.